cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/document/v1beta1/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/document/v1beta1/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/document/v1beta1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activities": [
{
"attachmentId": "<string>",
"attachmentName": "<string>",
"author": {
"email": "<string>",
"kind": "<string>",
"name": "<string>",
"nonGoogle": true,
"thumbnailPictureUrl": "<string>"
},
"comment": "<string>",
"deleteReason": "<string>",
"deleted": true,
"deletionDate": "2023-11-07T05:31:56Z",
"documentId": "<string>",
"documentTitle": "<string>",
"id": "<string>",
"kind": "<string>",
"newVersion": {
"createdByCheckin": true,
"description": "<string>",
"id": "<string>",
"name": "<string>"
},
"rename": {
"newName": "<string>",
"oldName": "<string>"
},
"restoredVersion": {
"createdByCheckin": true,
"description": "<string>",
"id": "<string>",
"name": "<string>"
},
"stateChange": {
"comment": "<string>",
"sourceState": {
"id": "<string>",
"name": "<string>",
"name_i18n": "<string>"
},
"targetState": {
"id": "<string>",
"name": "<string>",
"name_i18n": "<string>"
},
"transition": {
"forcedParallelTransition": true,
"humanAction": {
"appliedName": "<string>",
"appliedName_i18": "<string>",
"id": "<string>"
},
"id": "<string>"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"kind": "<string>",
"nextPageToken": "<string>"
}documentId
Get documentv1beta1activities
Lists document activities.
GET
/
document
/
v1beta1
/
activities
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The ID of the library
The ID of the document
Whether the document update activities should be removed if made by the same user on the same document version within the same hour. (Default: false)
The maximum number of items to return
DEPRECATED. Use pageToken instead.
The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response.
The security code
The G Suite domain
⌘I